%define module_name Test-Pod-Links
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(FindBin.pm) perl(HTTP/Tiny.pm) perl(POSIX.pm) perl(Pod/Simple/Search.pm) perl(Pod/Simple/SimpleTree.pm) perl(Scalar/Util.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/Fatal.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/TempDir/Tiny.pm) perl(autodie.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Test Pod for invalid HTTP/S links
Group: Development/Perl
License: open_source
URL: https://github.com/skirmess/Test-Pod-Links

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIRMESS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tests that all HTTP/S links from Pod documentation are reachable by calling
the `head' method of the HTTP::Tiny manpage on them.

All non HTTP/S links are ignored. You can check them with
the Test::Pod::LinkCheck manpage.

This test is an author test and should not run on end-user installations.
Recommendation is to put it into your xt instead of your t directory.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
* Tue Apr 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

